#
# spec file for package libxtrxdsp
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   0
%define libname libxtrxdsp%{sover}
Name:           libxtrxdsp
Version:        0.0.0+git.20171206
Release:        lp150.1.3
Summary:        XTRXDSP library
License:        LGPL-2.1
Group:          Development/Libraries/C and C++
URL:            http://xtrx.io
Source:         %{name}-%{version}.tar.xz
Patch0:         libxtrxdsp-disable-tests.patch
Patch1:         0001-Make-xtrxdsp-compile-with-older-gcc-versions.patch
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  pkgconfig

%description
DSP specific functions for SDR in general and XTRX in specific.

%package -n %{libname}
Summary:        XTRXDSP library
Group:          System/Libraries

%description -n %{libname}
DSP specific functions for SDR in general and XTRX in specific.

%package devel
Summary:        Development files for libxtrxdsp
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
DSP specific functions for SDR in general and XTRX in specific.

This subpackage contains libraries and header files for developing
applications that want to make use of libxtrxdsp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake \
    -DCMAKE_SHARED_LINKER_FLAGS=""
%make_jobs

%install
%cmake_install

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%doc LICENSE README.md
%{_libdir}/libxtrxdsp.so.%{sover}*

%files devel
%{_includedir}/xtrxdsp.h
%{_includedir}/xtrxdsp_*.h
%{_libdir}/libxtrxdsp.so
%{_libdir}/pkgconfig/libxtrxdsp.pc

%changelog
* Sun Dec 31 2017 jengelh@inai.de
- Fix RPM groups.
* Wed Dec 13 2017 mardnh@gmx.de
- Initial package, version 0.0.0+git.20171206
- Add patches:
  * libxtrxdsp-disable-tests.patch
  * 0001-Make-xtrxdsp-compile-with-older-gcc-versions.patch
